<%
int start = 0;
session.setAttribute("changes", changes);
if(changes == null || changes.isEmpty())
{
  out.print("<div class=\"msg-warning\">No Changes Returned</div>");
}
else if(changes.size() == 1)
{
  String id = changes.get(0).getTextValue("header,ChangeID");
  %>
  <jsp:forward page="<%=response.encodeURL("loadChange.jsp?ChangeID="+id)%>"/>
  <%
}
else
{
  %>
  <table>
    <tr>
      <th>CN#</th>
      <th>Status</th>
      <th>Pri</th>
      <th>Title</th>
    </tr>
    <%
    if(request.getParameter("page") != null)
      start = RESULTS_PER_PAGE * Integer.valueOf(request.getParameter("page"));
    int end = start+RESULTS_PER_PAGE;

    if(changes.size() < end)
      end = changes.size();
    Collection<ServiceManagerChange> list = changes.subList(start, end);
    for(ServiceManagerChange change : list)
    {
      String id = change.getTextValue("header,ChangeID");
      String status = change.getTextValue("header,ApprovalStatus");
      if("Work in progress".equalsIgnoreCase(status))
        status = "WIP";
      else if("Pending other".equalsIgnoreCase(status))
        status = "Pending";
      String priority = change.getTextValue("header,Priority");
      String title = change.getTextValue("header,Title");
      if (title.length() > TITLE_MAX_LENGTH) {
        title = title.substring(0, TITLE_MAX_LENGTH);
      }
      String link = "loadChange.jsp?ChangeID=" + id;
      String encodedLink = response.encodeURL(link);
    %>
    <tr>
      <td><a href="<%=encodedLink%>"><%=id%></a></td>
      <td><%=status%></td>
      <%
      if("1".equals(priority))
        out.print("<td class=\"sev-critical\">Critical</td>");
      else if("2".equals(priority))
        out.print("<td class=\"sev-high\">High</td>");
      else if("3".equals(priority))
        out.print("<td class=\"sev-average\">Average</td>");
      else if("4".equals(priority))
        out.print("<td class=\"sev-low\">Low</td>");
      else
        out.print("<td></td>");
      %>
      <td><%=title%></td>
    </tr>
    <%
    }
    %>
  </table>
  <%
  int count = 0;
  if (changes.size() > RESULTS_PER_PAGE) {
    for(int i = 0; i < changes.size(); i+=RESULTS_PER_PAGE)
    {
      if(i == start)
        out.println(count+1);
      else
        out.println("<a href=\""+response.encodeURL(pageURL+"?page="+count)+"\">"+(count+1)+"</a>");
      count++;
    }
  }
}
%>
